Purpose Bitcoin ETF

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/purpose-bitcoin-etf/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

4 metrics
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/purpose-bitcoin-etf/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 13.41,
    "date": "2026-09-30",
    "high": 13.67,
    "open": 13.67,
    "close": 13.44,
    "volume": 19400
  },
  {
    "low": 13.38,
    "date": "2026-10-01",
    "high": 13.606,
    "open": 13.38,
    "close": 13.53,
    "volume": 28100
  },
  {
    "low": 13.58,
    "date": "2026-10-02",
    "high": 13.81,
    "open": 13.81,
    "close": 13.59,
    "volume": 32800
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/purpose-bitcoin-etf/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": null,
  "quarterly_earnings_growth": null,
  "eps_estimate_current_quarter": null
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/purpose-bitcoin-etf/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 1.27,
  "six_month_return": -12.21,
  "three_month_return": 4.48
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/purpose-bitcoin-etf/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": "-",
  "total_btc_percentage": 0.152,
  "share_price_change_state": ""
}
Not available for this company
  • bitcoin-acquisitions (Bitcoin Acquisitions) returns 404 {"error":"Data unavailable for this company"}
  • bitcoin-holdings (Bitcoin Holdings) returns 404 {"error":"Data unavailable for this company"}
  • bitcoin-holdings-usd (Bitcoin Holdings USD) returns 404 {"error":"Data unavailable for this company"}